Specifikation of supported languages

Hi All

When I try to specify which languages I want RT to support with
@LexiconLanguages = qw(en) unless (@LexiconLanguages); then I get the
following error when restarting apache:

Use of uninitialized value in -e at
/usr/lib/perl5/site_perl/5.6.1/Locale/Maketext/Lexicon.pm line 304.
[Thu Oct 23 16:35:05 2003] [error] cannot find /opt/rt/local/po/*/en.po
(called by RT::I18N) in @INC at
/usr/lib/perl5/site_perl/5.6.1/Locale/Maketext/Lexicon.pm line 304.
Compilation failed in require at (eval 7) line 1.

Syntax error on line 143 of /etc/apache/conf/vhosts/Vhosts.conf:
cannot find /opt/rt/local/po/*/en.po (called by RT::I18N) in @INC at
/usr/lib/perl5/site_perl/5.6.1/Locale/Maketext/Lexicon.pm line 304.
Compilation failed in require at (eval 7) line 1.

I have all the po files in /opt/rt/local/po.

Regards

Rene

Hi All

When I try to specify which languages I want RT to support with
@LexiconLanguages = qw(en) unless (@LexiconLanguages); then I get the
following error when restarting apache:

Try upgrading to the latest version of Locale::Maketext::Lexicon.

Request Tracker... So much more than a help desk — Best Practical Solutions – Trouble Ticketing. Free.

Jesse Vincent wrote:>On Thu, Oct 23, 2003 at 04:53:03PM +0200, rene@realhost.dk wrote:

Hi All

When I try to specify which languages I want RT to support with
@LexiconLanguages = qw(en) unless (@LexiconLanguages); then I get the
following error when restarting apache:

Try upgrading to the latest version of Locale::Maketext::Lexicon.

Hi again

I just have bad luck. When I try to install the newest
Locale::Maketext::Lexicon I get te following error :

PERL_DL_NONLAZY=1 /usr/bin/perl “-MExtUtils::Command::MM” “-e”
“test_harness(0, ‘blib/lib’, ‘blib/arch’)” t/*.t
t/0-signature…Unknown cipher: SHA1
==> UNKNOWN Cipher format! <==
t/0-signature…NOK 1# Failed test (t/0-signature.t at line
18)

Looks like you failed 1 tests of 1.

t/0-signature…dubious

    Test returned status 1 (wstat 256, 0x100)

DIED. FAILED test 1
Failed 1/1 tests, 0.00% okay

I’m not just a perlshark so can anyone give me a hint ? It looks like
perl don’t know the SHA1 cipher, but how do I correct that ?

Best regards

Rene

Realhost I/S - Rene Brask S�rensen wrote:

Jesse Vincent wrote:

Hi All

When I try to specify which languages I want RT to support with
@LexiconLanguages = qw(en) unless (@LexiconLanguages); then I get the
following error when restarting apache:

Try upgrading to the latest version of Locale::Maketext::Lexicon.

Hi again

I just have bad luck. When I try to install the newest
Locale::Maketext::Lexicon I get te following error :

PERL_DL_NONLAZY=1 /usr/bin/perl “-MExtUtils::Command::MM” “-e”
“test_harness(0, ‘blib/lib’, ‘blib/arch’)” t/*.t
t/0-signature…Unknown cipher: SHA1
==> UNKNOWN Cipher format! <==
t/0-signature…NOK 1# Failed test (t/0-signature.t at line
18) # Looks like you failed 1 tests of 1.
t/0-signature…dubious

   Test returned status 1 (wstat 256, 0x100)

DIED. FAILED test 1
Failed 1/1 tests, 0.00% okay

I’m not just a perlshark so can anyone give me a hint ? It looks like
perl don’t know the SHA1 cipher, but how do I correct that ?

Best regards

Rene


rt-users mailing list
rt-users@lists.fsck.com
http://lists.fsck.com/mailman/listinfo/rt-users

Have you read the FAQ? The RT FAQ Manager lives at http://fsck.com/rtfm

Ok found the problem, I didn’t have gnupg, so after installing that it
worked

Thanks anyway

/Rene